package ${basePackage}.action.ajax.system;

import org.springframework.beans.factory.annotation.Autowired;
import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.RoleResourceManager;
import ${basePackage}.module.system.req.RoleResourceCheckRequest;
import ${basePackage}.module.system.req.RoleResourceCreateRequest;
import ${basePackage}.module.system.req.RoleResourceDeleteRequest;
import ${basePackage}.module.system.req.RoleResourceFindRequest;
import ${basePackage}.module.system.req.RoleResourceGetRequest;
import ${basePackage}.module.system.req.RoleResourceUpdateRequest;
import ${basePackage}.module.system.rsp.RoleResourceCheckResponse;
import ${basePackage}.module.system.rsp.RoleResourceCreateResponse;
import ${basePackage}.module.system.rsp.RoleResourceDeleteResponse;
import ${basePackage}.module.system.rsp.RoleResourceFindResponse;
import ${basePackage}.module.system.rsp.RoleResourceGetResponse;
import ${basePackage}.module.system.rsp.RoleResourceUpdateResponse;

import java.io.IOException;
import java.util.List;

public class RoleResourceAjax{

    @Autowired
    private RoleResourceManager roleResourceManager;

    public RoleResourceCreateResponse create(RoleResourceCreateRequest request) {
        return roleResourceManager.create(request, LocalData.getToken());
    }

    public RoleResourceDeleteResponse delete(RoleResourceDeleteRequest request) {
        return roleResourceManager.delete(request, LocalData.getToken());
    }

    public RoleResourceUpdateResponse update(RoleResourceUpdateRequest request) {
        return roleResourceManager.update(request, LocalData.getToken());
    }

    public RoleResourceFindResponse find(RoleResourceFindRequest request) {
        return roleResourceManager.find(request, LocalData.getToken());
    }

    public RoleResourceGetResponse get(RoleResourceGetRequest request) {
        return roleResourceManager.get(request, LocalData.getToken());
    }

    public RoleResourceCheckResponse check(RoleResourceCheckRequest request) {
        return roleResourceManager.check(request, LocalData.getToken());
    }
}
