package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseUpdateRequest;

import javax.validation.constraints.NotNull;

/**
 * RoleResourceUpdateRequest - 角色资源关系更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class RoleResourceCheckRequest extends BaseUpdateRequest {

    /**
     * 角色主键
     */
    @NotNull(message = "[roleId]角色主键不能为NULL")
    private Long roleId;

    /**
     * 资源主键
     */
    @NotNull(message = "[resourceId]资源主键不能为NULL")
    private Long resourceId;

    /**
     * 是否选中
     */
    @NotNull(message = "[checked]是否选中不能为NULL")
    private Boolean checked;

    public Long getRoleId() {
        return this.roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getResourceId() {
        return this.resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public Boolean getChecked() {
        return checked;
    }

    public void setChecked(Boolean checked) {
        this.checked = checked;
    }
}

